/*
    Copyright (C) 2012 Bartosz Broda, Jacek Bochenek, Łukasz Biłeńkij, 
    Damian Jaworski, Wojciech Mazur, Dominik Piasecki, Maciej Piasecki, 
    Radosław Ramocki
    
    This program is free software; you can redistribute it and/or modify it
under the terms of the GNU Lesser General Public License as published by the Free
Software Foundation; either version 3 of the License, or (at your option)
any later version.

    This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
or FITNESS FOR A PARTICULAR PURPOSE. 

    See the LICENSE and COPYING files for more details.
*/

#include "../matrices_headers.h"
#include "MatrixReader.h"

namespace Matrices
{
	namespace IO
	{
		void CheckFile(boost::filesystem::path &base_path, const char* filename)
		{
			boost::filesystem::path check( base_path );
			check /= filename;
			if( ! boost::filesystem::exists (check) )
				throw std::runtime_error( "File  does not exists: " + check.string());

		}

		void CheckFile(const char* filename)
		{
			boost::filesystem::path check(filename);
			if( ! boost::filesystem::exists (check) )
				throw std::runtime_error( "File  does not exists: " + check.string());
		}
		
	}
}
